package edu.cmu.cs.l3.semant;

import java.util.*;

public class TyRecord extends Ty {

    public TyRecord(String name, List fields, List fieldnames) {
	super(4,name); m_fields = fields; m_fieldnames = fieldnames;
    }

    public List getFields() {
	return m_fields;
    }

    public List getFieldNames() {
	return m_fieldnames;
    }

    private List m_fields,m_fieldnames;
}